#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 kan-extensions
version:              5.2.4
visibility:           public
id:                   kan-extensions-5.2.4-JpnXkLlcmQL3m2alrZhwDH
key:                  kan-extensions-5.2.4-JpnXkLlcmQL3m2alrZhwDH
license:              BSD-3-Clause
copyright:            Copyright (C) 2008-2016 Edward A. Kmett
maintainer:           Edward A. Kmett <ekmett@gmail.com>
author:               Edward A. Kmett
stability:            provisional
homepage:             http://github.com/ekmett/kan-extensions/
synopsis:
    Kan extensions, Kan lifts, the Yoneda lemma, and (co)density (co)monads

description:
    Kan extensions, Kan lifts, various forms of the Yoneda lemma, and (co)density (co)monads.

category:             Data Structures, Monads, Comonads, Functors
abi:                  afc5742634c613c3022fab0ba6109acf
exposed:              True
exposed-modules:
    Control.Comonad.Density Control.Monad.Co Control.Monad.Codensity
    Data.Functor.Contravariant.Coyoneda Data.Functor.Contravariant.Day
    Data.Functor.Contravariant.Yoneda Data.Functor.Coyoneda
    Data.Functor.Day Data.Functor.Day.Curried
    Data.Functor.Invariant.Day Data.Functor.Kan.Lan
    Data.Functor.Kan.Ran Data.Functor.Yoneda

import-dirs:          /usr/lib/ghc-9.0.2/site-local/kan-extensions-5.2.4
library-dirs:         /usr/lib/ghc-9.0.2/site-local/kan-extensions-5.2.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-kan-extensions
hs-libraries:         HSkan-extensions-5.2.4-JpnXkLlcmQL3m2alrZhwDH
includes:             kan-extensions-common.h
depends:
    adjunctions-4.4-EdtEhJZ98ysI49dNiBOHdv array-0.5.4.0 base-4.15.1.0
    comonad-5.0.8-1QRmsOlpw2wKKyJIrELmpZ containers-0.6.4.1
    contravariant-1.5.5-FtJyCLyWfutGN2UWoJs8qd
    distributive-0.6.2.1-LjLOjhTdX2eFe8TE76iQFb
    free-5.1.8-Fx1XFIk4Ql1AzwIm8av8Ce
    invariant-0.5.6-FbADn32INf7EI24Rf65zuF mtl-2.2.2
    profunctors-5.6.2-EvzKwMTHiQKCqir8d4JifK
    semigroupoids-5.3.7-DtkfR6TUV6xL3IHcB9Xqkr
    tagged-0.8.6.1-79gYUUazit6EfoPS33FHdR transformers-0.5.6.2
    transformers-compat-0.7.1-5G5J9BcZIFIGkjABObiUpP

haddock-interfaces:
    /usr/share/doc/haskell-kan-extensions/html/kan-extensions.haddock

haddock-html:         /usr/share/doc/haskell-kan-extensions/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

